std::regex_error(3cxx)

NAME
std::regex_error - A regular expression exception class.

SYNOPSIS

Inherits std::runtime_error.

  Public Member Functions

regex_error (regex_constants::error_type __ecode)
Constructs a regex_error object.
regex_constants::error_type code () const
Gets the regex error code.
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

  Friends

void __throw_regex_error (regex_constants::error_type, const char *)

Detailed Description

A regular expression exception class.

The regular expression library throws objects of this class on error.

Definition at line 135 of file regex_error.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.